Package org.apache.tools.ant.types.optional.image

# Class Text

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.optional.image.ImageOperation
org.apache.tools.ant.types.optional.image.Text

All Implemented Interfaces:
  `java.lang.Cloneable`, `DrawOperation`

    public class Text
    extends ImageOperation
    implements DrawOperation

See Also:
  `Image`

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.optional.image.ImageOperation

`instructions`

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Text()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`javax.media.jai.PlanarImage` | `executeDrawOperation()` | Draw the text.
`void` | `setBold​(boolean state)` |
`void` | `setColor​(java.lang.String c)` | Set the color of the text.
`void` | `setFont​(java.lang.String f)` | Set the font to be used to draw the text.
`void` | `setItalic​(boolean state)` |
`void` | `setPoint​(java.lang.String p)` | Set the number of points to be used.
`void` | `setString​(java.lang.String str)` | Set the string to be used as text.

### Methods inherited from class org.apache.tools.ant.types.optional.image.ImageOperation

`addDraw, addRectangle, addRotate, addScale, addText`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Text

public Text()

## Method Details

### setString

public void setString​(java.lang.String str)
Set the string to be used as text.

Parameters:
  `str` - the string to be used.

### setFont

public void setFont​(java.lang.String f)
Set the font to be used to draw the text.

Parameters:
  `f` - the font to be used.

### setPoint

public void setPoint​(java.lang.String p)
Set the number of points to be used.

Parameters:
  `p` - an integer value as a string.

### setColor

public void setColor​(java.lang.String c)
Set the color of the text.

Parameters:
  `c` - the color name.

### setBold

public void setBold​(boolean state)

Parameters:
  `state` - not used at the moment.
To do:
  is this used?

### setItalic

public void setItalic​(boolean state)

Parameters:
  `state` - not used at the moment.
To do:
  is this used?

### executeDrawOperation

public javax.media.jai.PlanarImage executeDrawOperation()
Draw the text.

Specified by:
  `executeDrawOperation` in interface `DrawOperation`
Returns:
  the resultant image.